Package org.jboss.resteasy.core.interception.jaxrs

## Class ContainerRequestFilterRegistryImpl

- java.lang.Object
- - org.jboss.resteasy.core.interception.jaxrs.JaxrsInterceptorRegistryImpl<javax.ws.rs.container.ContainerRequestFilter>
  - - org.jboss.resteasy.core.interception.jaxrs.ContainerRequestFilterRegistryImpl

- All Implemented Interfaces:
    `JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerRequestFilter>`

      public class ContainerRequestFilterRegistryImpl
      extends JaxrsInterceptorRegistryImpl<javax.ws.rs.container.ContainerRequestFilter>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.core.interception.jaxrs.JaxrsInterceptorRegistryImpl

      `JaxrsInterceptorRegistryImpl.AbstractInterceptorFactory, JaxrsInterceptorRegistryImpl.OnDemandInterceptorFactory, JaxrsInterceptorRegistryImpl.SingletonInterceptorFactory`

    - ### Nested classes/interfaces inherited from interface org.jboss.resteasy.spi.interception.JaxrsInterceptorRegistry

      `JaxrsInterceptorRegistry.AscendingPrecedenceComparator, JaxrsInterceptorRegistry.DescendingPrecedenceComparator, JaxrsInterceptorRegistry.InterceptorFactory, JaxrsInterceptorRegistry.Match`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.core.interception.jaxrs.JaxrsInterceptorRegistryImpl

      `cachedPostMatch, cachedPreMatch, interceptors, intf, listeners, providerFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContainerRequestFilterRegistryImpl​(ResteasyProviderFactory providerFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContainerRequestFilterRegistryImpl` | `clone​(ResteasyProviderFactory factory)` |
    `javax.ws.rs.container.ContainerRequestFilter[]` | `postMatch​(Class declaring, AccessibleObject target)` |

    - ### Methods inherited from class org.jboss.resteasy.core.interception.jaxrs.JaxrsInterceptorRegistryImpl

      `getIntf, getListeners, getNameBound, getPriority, preMatch, register, registerClass, registerClass, registerSingleton, registerSingleton, sort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerRequestFilterRegistryImpl

          public ContainerRequestFilterRegistryImpl​(ResteasyProviderFactory providerFactory)

  - ### Method Detail

    - #### clone

          public ContainerRequestFilterRegistryImpl clone​(ResteasyProviderFactory factory)

      Specified by:
        `clone` in interface `JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerRequestFilter>`
      Overrides:
        `clone` in class `JaxrsInterceptorRegistryImpl<javax.ws.rs.container.ContainerRequestFilter>`

    - #### postMatch

          public javax.ws.rs.container.ContainerRequestFilter[] postMatch​(Class declaring,
                                                                          AccessibleObject target)

      Specified by:
        `postMatch` in interface `JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerRequestFilter>`
      Overrides:
        `postMatch` in class `JaxrsInterceptorRegistryImpl<javax.ws.rs.container.ContainerRequestFilter>`